API Reference - GET /codelist/positionopeningstatuses
Page content
The PositionOpeningStatuses endpoint returns a list of position opening status values and the corresponding codes.
Resource
GET /api/codelist/positionopeningstatuses
Authorization
No authorization required
Query Parameters
| Name | Description |
|---|---|
| lastmodified | Only return items modified on or after the date supplied. This is an optional field. |
Response
JSON:
{
"CodeList": [{
"ValidValue": [
{
"Code": "3",
"Value": "Reviewing applications",
"LastModified": "2020-09-21T16:34:36.287",
"IsDisabled": "No"
}, {
"Code": "1",
"Value": "Accepting applications",
"LastModified": "2020-09-21T15:48:47.283",
"IsDisabled": "No"
}, {
"Code": "4",
"Value": "Job canceled",
"LastModified": "2020-09-21T15:48:47.283",
"IsDisabled": "No"
}, {
"Code": "5",
"Value": "Position filled",
"LastModified": "2020-09-21T15:48:47.283",
"IsDisabled": "No"
}, {
"Code": "2",
"Value": "Job closed",
"LastModified": "2020-09-21T15:48:47.283",
"IsDisabled": "No"
}
],
"id": "PositionOpeningStatus"
}],
"DateGenerated": "2018-08-02T14:11:20.9282358-04:00"
}
| Name | Type | Description |
|---|---|---|
| Code | String | Position Opening Status code |
| Value | String | Position Opening Status value |
| LastModified | Date | Date value or code was last modified |
| IsDisabled | String | Has the Position Opening Status code been disabled. Values are Yes or No. |
| DateGenerated | Date | Date of request |
An official website of the United States Government